CA XCOM 11.6 32-bit and 64-bit support for Red Hat Enterprise Linux 5

Document ID : KB000126715
Last Modified Date : 12/02/2019
Show Technical Document Details
Introduction:
Historically CA XCOM only had a 32-bit edition.
The initial XCOM 11.6 release (SP00/0000) has both 32-bit & 64-bit editions.
XCOM 11.6 Service Pack 1 (SP01) only has a 64-bit edition. 
Question:
Per Solution Document RI59036, is Red Hat Enterprise Linux 5 (x32 and x64) only supported for XCOM 11.6 32-bit?
https://support.ca.com/us/product-content/status/compatibility-matrix/distributed-platform-compatibilities.html
https://support.ca.com/us/download-center/solution-detail.html?docid=592477&os=LINUX&aparno=RI59036&actionID=5 
Environment:
CA XCOM 11.6 under Red Hat Enterprise Linux 5
Answer:
Only XCOM 11.6 32-bit is supported under Red Hat Enterprise Linux (RHEL) 5.
XCOM 11.6 64-bit uses updated third party software versions which addressed known vulnerabilities and those latest third party software versions are compiled with higher levels of compiler which are not compatible with RHEL 5. Some basic validation tests on RHEL 5.6 problems showed problems which are due to the RHEL 5.6 GNU C Library version being older than what XCOM 11.6 64-bit was built with. 
So in summary to use XCOM 11.6 64-bit requires upgrade to the supported Red Hat Enterprise Linux 6 or higher per RI59036.

In addition it should be noted that XCOM 11.6 32-bit reached end of service on February 28, 2018:
https://support.ca.com/us/product-content/status/support-life-cycle/indexes/ca-xcom-data-transport-release-and-support-lifecycle-dates.html 
So it is strongly encouraged to upgrade to a supported XCOM 11.6 64-bit release with corresponding supported version of Red Hat Enterprise Linux.
Additional Information:
Red Hat will end their final support stage for RHEL 5 "Extended Life-cycle Support" on November 30, 2020: 
https://access.redhat.com/support/policy/updates/errata#Life_Cycle_Dates